(ns design
  (:require [portfolio.ui :as ui]
            [portfolio.dumdom :as d]
            [portfolio.dom :as r]
            [com.oly.static-sites.portfolio.page :as c]))

(d/defscene circle-flow
  c/dual-column-circle)

(d/defscene header
  c/page-header)

(d/defscene footer
  c/page-footer)

(d/defscene page
  [:div.bg-slate-200.w-full
   [:div.w-full.m-auto.pl-4.pr-4 {:class "md:w-4/5"}
    (c/page-header)
    (c/dual-column-circle)
    (c/split-bar)
    (c/page-footer)]])

(defn launch []
  (ui/start!
   {:config {:css-paths ["/css/styles.css"
                         "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
                         "https://cdn.jsdelivr.net/gh/devicons/devicon@v2.15.1/devicon.min.css"]}}))

